# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ansi_string/version'

Gem::Specification.new do |spec|
  spec.name          = "ansi_string"
  spec.version       = AnsiString::VERSION
  spec.authors       = ["Zach Dennis"]
  spec.email         = ["zach.dennis@gmail.com"]

  spec.summary       = %q{ANSIString is a String library that is ANSI-sequence-aware}
  spec.description   = %q{ANSIString is a String library that is ANSI-sequence-aware}
  spec.homepage      = "https://github.com/zdennis/ansi_string"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "term-ansicolor", "~> 1.3"
end
